QFlightInstruments

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Enumerations Enumerator Macros
Public Member Functions | Protected Member Functions | List of all members
qfi_VSI Class Reference

`#include <qfi_VSI.h>`

Inheritance diagram for qfi_VSI:

## Public Member Functions
| qfi_VSI (QWidget *parent=0)
virtual | ~qfi_VSI ()
void | reinit ()
void | update ()
void | setClimbRate (float climbRate)

## Protected Member Functions
void | resizeEvent (QResizeEvent *event)

## Detailed Description

Vertical Speed Indicator widget.

## Constructor & Destructor Documentation

qfi_VSI::qfi_VSI | ( | QWidget * | parent = `0` | ) |

Constructor.

qfi_VSI::~qfi_VSI | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

void qfi_VSI::reinit | ( |  | ) |

Reinitiates widget.

void qfi_VSI::resizeEvent | ( | QResizeEvent * | event | ) |
| protected

void qfi_VSI::setClimbRate | ( | float | climbRate | ) |

Parameters

  climb | rate [ft/min]

void qfi_VSI::update | ( |  | ) |

Refreshes (redraws) widget.

The documentation for this class was generated from the following files:

- qfi_VSI.h
- qfi_VSI.cpp